For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get the current API version

Retrieves the current version of the responding API.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Responses
200

Successful operation.

application/json
namestringOptionalExample: v2.1
swaggerUrlstringOptionalExample: https://api.ionos.com/databases/postgres/infos/assets/swagger-v2.1.yml
get/infos/version
GET /databases/postgresql/infos/version HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "name": "v2.1",
  "swaggerUrl": "https://api.ionos.com/databases/postgres/infos/assets/swagger-v2.1.yml"
}

Last updated

Was this helpful?